//
//  ContentDetailAnotherItemView.swift
//  SodaLive
//
//  Created by klaus on 2023/08/13.
//

import SwiftUI
import Kingfisher

struct ContentDetailAnotherItemView: View {
    
    let item: OtherContentResponse
    
    var body: some View {
        VStack(alignment: .leading, spacing: 8) {
            KFImage(URL(string: item.coverUrl))
                .cancelOnDisappear(true)
                .downsampling(
                    size: CGSize(
                        width: 93.3,
                        height: 93.3
                    )
                )
                .resizable()
                .frame(width: 93.3, height: 93.3, alignment: .center)
                .clipped()
                .cornerRadius(2.7)
            
            HStack(spacing: 0) {
                Text(item.title)
                    .font(.custom(Font.medium.rawValue, size: 12))
                    .foregroundColor(Color(hex: "777777"))
                    .multilineTextAlignment(.leading)
                    .lineLimit(1)
                
                Spacer()
            }
        }
        .frame(maxWidth: 93.3)
    }
}
